%global roundcube %{_datadir}/roundcubemail
%global roundcube_plugins %{roundcube}/plugins
%global roundcube_conf %{_sysconfdir}/roundcubemail
%global roundcube_log %{_var}/log/roundcubemail
%global roundcube_lib %{_var}/lib/roundcubemail

Name:       roundcubemail-plugins-kolab
Version:    3.0.1
Release:    %mkrel 6
Summary:    Kolab Groupware plugins for Roundcube Webmail

Group:      System/Servers
License:    AGPLv3+ and GPLv3+
URL:        http://www.kolab.org
Source0:    http://git.kolab.org/%{name}/snapshot/%{name}-%{version}.tar.gz
Source1:    kolab_logo.png
Patch0:     roundcubemail-plugins-kolab-3.0.1-identity-organization-field-null.patch
BuildArch:  noarch
Requires:   php-kolab >= 0.4.2
Requires:   php-kolabformat >= 0.8
Requires:   php-pear-HTTP_Request2
Requires:   php-apc
Requires:   roundcubemail >= 0.9
Obsoletes:  roundcubemail-kolab < %{version}-%{release}
Provides:   roundcubemail-kolab = %{version}-%{release}

%description
A collection of Kolab Groupware plugins for Roundcube Webmail

%prep
%setup -q
%patch0  -p1 -b .identity-organization-field-null

%build

%install
rm -rf %{buildroot}
mkdir -p \
    %{buildroot}%{roundcube_conf} \
    %{buildroot}%{roundcube_plugins}
cp -a plugins/* %{buildroot}%{roundcube_plugins}

mkdir -p %{buildroot}%{roundcube}/skins/kolab/images
install -pm 644 %{SOURCE1} %{buildroot}%{roundcube}/skins/kolab/images/kolab_logo.png

# Calendar
mv %{buildroot}%{roundcube_plugins}/calendar/config.inc.php.dist %{buildroot}%{roundcube_conf}/calendar.inc.php
rm -rf %{buildroot}%{roundcube_plugins}/calendar/config.inc.php
pushd %{buildroot}%{roundcube_plugins}/calendar/
ln -s ../../../../..%{roundcube_conf}/calendar.inc.php config.inc.php
popd

# Kolab address book plugin
mv %{buildroot}%{roundcube_plugins}/kolab_addressbook/config.inc.php.dist %{buildroot}%{roundcube_conf}/kolab_addressbook.inc.php
pushd %{buildroot}%{roundcube_plugins}/kolab_addressbook/
ln -s ../../../../..%{roundcube_conf}/kolab_addressbook.inc.php config.inc.php
popd

# Kolab auth plugin
mv %{buildroot}%{roundcube_plugins}/kolab_auth/config.inc.php.dist %{buildroot}%{roundcube_conf}/kolab_auth.inc.php
pushd %{buildroot}%{roundcube_plugins}/kolab_auth/
ln -s ../../../../..%{roundcube_conf}/kolab_auth.inc.php config.inc.php
popd

# Kolab folders plugin
mv %{buildroot}%{roundcube_plugins}/kolab_folders/config.inc.php.dist %{buildroot}%{roundcube_conf}/kolab_folders.inc.php
pushd %{buildroot}%{roundcube_plugins}/kolab_folders/
ln -s ../../../../..%{roundcube_conf}/kolab_folders.inc.php config.inc.php
popd

# libkolab plugin
mv %{buildroot}%{roundcube_plugins}/libkolab/config.inc.php.dist %{buildroot}%{roundcube_conf}/kolab.inc.php
pushd %{buildroot}%{roundcube_plugins}/libkolab/
ln -s ../../../../..%{roundcube_conf}/kolab.inc.php config.inc.php
popd

# LDAP Authentication plugin
mv %{buildroot}%{roundcube_plugins}/ldap_authentication/config.inc.php.dist %{buildroot}%{roundcube_conf}/ldap_authentication.inc.php
pushd %{buildroot}%{roundcube_plugins}/ldap_authentication/
ln -s ../../../../..%{roundcube_conf}/ldap_authentication.inc.php config.inc.php
popd

# odfviewer plugin
mkdir -p %{buildroot}%{roundcube_lib}/plugins/odfviewer
pushd %{buildroot}%{roundcube_plugins}/odfviewer/
rm -rf files
ln -s ../../../../..%{roundcube_lib}/plugins/odfviewer files
popd

# owncloud plugin
mv %{buildroot}%{roundcube_plugins}/owncloud/config.inc.php.dist %{buildroot}%{roundcube_conf}/owncloud.inc.php
pushd %{buildroot}%{roundcube_plugins}/owncloud/
ln -s ../../../../..%{roundcube_conf}/owncloud.inc.php config.inc.php
popd

# Piwik Analytics plugin
mv %{buildroot}%{roundcube_plugins}/piwik_analytics/config.inc.php.dist %{buildroot}%{roundcube_conf}/piwik_analytics.inc.php
pushd %{buildroot}%{roundcube_plugins}/piwik_analytics/
ln -s ../../../../..%{roundcube_conf}/piwik_analytics.inc.php config.inc.php
popd

# Tasklist plugin
mv %{buildroot}%{roundcube_plugins}/tasklist/config.inc.php.dist %{buildroot}%{roundcube_conf}/tasklist.inc.php
pushd %{buildroot}%{roundcube_plugins}/tasklist/
ln -s ../../../../..%{roundcube_conf}/tasklist.inc.php config.inc.php
popd

cat >> %{buildroot}%{roundcube_lib}/plugins/odfviewer/.htaccess << EOF
<IfModule mod_deflate.c>
 SetOutputFilter NONE
</IfModule>

Options -Indexes
EOF


%post
if [ ! -z "`grep apc.enabled=1 /etc/php.d/99_apc.ini`" ]; then
/sbin/systemctl condrestart httpd.service
fi


%files
%attr(0640,apache,apache) %config(noreplace) %{roundcube_conf}/*.php
%{roundcube}/skins/kolab/images/kolab_logo.png
%{roundcube_plugins}/logon_page/*
%{roundcube_plugins}/kolab_delegation/*
%{roundcube_plugins}/calendar
%{roundcube_plugins}/kolab_activesync
%{roundcube_plugins}/kolab_addressbook
%{roundcube_plugins}/kolab_auth
%{roundcube_plugins}/kolab_config
%{roundcube_plugins}/kolab_folders
%{roundcube_plugins}/kolab_zpush
%{roundcube_plugins}/ldap_authentication
%{roundcube_plugins}/libkolab
%{roundcube_plugins}/libcalendaring
%{roundcube_plugins}/odfviewer
%{roundcube_plugins}/owncloud
%{roundcube_plugins}/piwik_analytics
%{roundcube_plugins}/tasklist
%{roundcube_plugins}/tinymce_config
%dir %{roundcube_lib}/plugins
%attr(0750,apache,apache) %{roundcube_lib}/plugins/odfviewer
%config(noreplace) %{roundcube_lib}/plugins/odfviewer/.htaccess



%changelog

* Wed Apr 17 2013 spuhler <spuhler> 3.0.1-6.mga3
+ Revision: 410379
- bumped rel
- increase version of requires
 - php-kolab
 - php-kolabformat

* Sat Mar 16 2013 spuhler <spuhler> 3.0.1-5.mga3
+ Revision: 403370
- Include Requires: php-kolab
  Ship fix for organization field in delegation's identity management
  Correct .htaccess not being shipped as part of the odfviewer plugin

* Tue Mar 12 2013 spuhler <spuhler> 3.0.1-4.mga3
+ Revision: 402212
- added needed Requires: php-apc

* Mon Jan 14 2013 umeabot <umeabot> 3.0.1-3.mga3
+ Revision: 380421
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 spuhler <spuhler> 3.0.1-2.mga3
+ Revision: 343537
- corrected on post /etc/php.d/99_apc.ini

* Wed Jan 09 2013 spuhler <spuhler> 3.0.1-1.mga3
+ Revision: 343421
- upgrade to 3.0.1
  cleaned spec file

* Wed Sep 19 2012 spuhler <spuhler> 3.0-0.23.git20120826.mga3
+ Revision: 296096
- corrected spelling of requires
  bumped rel
- added no_horde.patch

* Mon Aug 27 2012 spuhler <spuhler> 3.0-0.22.git20120826.mga3
+ Revision: 284522
- imported package roundcubemail-plugins-kolab

